WordPress.org

Forums

Really Simple CAPTCHA
Make plugin compatible with HHVM and Hack (1 post)

  1. robertsky_
    Member
    Posted 9 months ago #

    Hi,

    Is it possible to make the plugin compatible with HHVM and Hack? WordPress is HHVM compatible with version 3.9 and Hack in the future 4.0. I am using and deploying WordPress installations in HHVM environment and would like to see this plugin workable, especially since there are other plugins that have dependencies on your plugin.

    I have run Hackificator tool and this is error log trying to switch your plugin files to Hack:

    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php (err = /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php:28:1,6: Remove all toplevel statements except for requires
    /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php:47:20,28: Unbound name: path_join)
    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php (err = /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php:315:1,2: Hack does not allow the closing ?> tag
    /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php:74:10,25: The member answer_file_mode is undefined in an object of type ReallySimpleCaptcha)
    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php (err = /home/robertsky/hack/projects/really-simple-captcha/really-simple-captcha.php:315:1,2: Hack does not allow the closing ?> tag)
    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php (err = /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php:3:1,2: Hack does not allow the closing ?> tag)
    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php (err = /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php:3:1,2: Hack does not allow the closing ?> tag)
    ERROR HACKIFYING, UNDO: /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php (err = /home/robertsky/hack/projects/really-simple-captcha/tmp/index.php:3:1,2: Hack does not allow the closing ?> tag)

    Regards,
    Robert

    https://wordpress.org/plugins/really-simple-captcha/

Reply

You must log in to post.

About this Plugin

  • Really Simple CAPTCHA
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic